<template>
  <template v-if="gameBetList.length">
    <div v-if="themeName === 'peru'">
      <div
        class="box px-2 pb-2 text-xs game-betting-container"
        v-for="(game, index) in gameBetList"
        :key="index"
      >
        <div class="rounded-md border-[2px] border-[var(--border)] bet-list-card">
          <div
            class="flex flex-row items-center h-[76px] px-4 flex-wrap border-b-[2px] border-[var(--border)]"
          >
            <div class="flex flex-col items-start p-0 gap-1 h-[52px] w-full">
              <div class="flex justify-between w-full">
                <div class="flex flex-row items-start p-0 gap-[10px] h-4 fc-hint">
                  <span class="font-bold text-sm leading-4">{{
                    game.GameProviderName
                  }}</span>
                </div>
                <div class="h-[19px]">
                  <span
                    class="font-bold text-[16px] leading-[19px]"
                    :class="`fc-${game.StatusColorForMobileDisplay}`"
                  >
                    {{ $t(game.Status.toLowerCase()) }}
                  </span>
                </div>
              </div>
              <div class="font-normal text-xs h-[14px]">{{ game.OrderTime }}</div>
              <div class="font-normal text-xs w-full h-[14px] truncate">
                {{ $t("reference_number") }} {{ game.RefNo }}
              </div>
            </div>
          </div>
          <div class="px-4 pt-4" v-if="game.IsShowBetDetailButton">
            <div
              class="grid grid-cols-3 gap-2 cursor-pointer"
              @click="onDisplayBetDetail(game)"
            >
              <div class="col-span-2">
                <span> {{ $t("bet_detail") }} </span>
              </div>
              <div class="text-right mr-2">
                <font-awesome-icon icon="chevron-right" />
              </div>
            </div>
          </div>
          <div class="px-4 rounded-b-md">
            <div class="flex flex-col items-start py-3 gap-1 h-[79px]">
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("stake") }}
                </span>
                <span class="flex items-start p-0 gap-1">
                  {{ game.StakeForDisplay }}
                </span>
              </div>
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("net_turnover") }}
                </span>
                <span class="flex items-start p-0 gap-1">
                  {{ game.NetTurnoverForDisplay }}
                </span>
              </div>
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("win/lose") }}
                </span>
                <div
                  class="flex items-start p-0 gap-1 font-bold text-[16px] leading-[19px] fc-text"
                >
                  <span :class="`fc-${game.WinLoseColorForDisplay}`">{{
                    game.WinLostForDisplay
                  }}</span>
                  ({{ game.PlayerCommissionForDisplay }})
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div v-else>
      <div
        class="box bg-background2 p-3 pt-0 text-xs game-betting-container"
        :class="{ 'px-2': themeName === 'playful' }"
        v-for="(game, index) in gameBetList"
        :key="index"
      >
        <div class="bg-background1 rounded-md border-1 bet-list-card">
          <div
            class="flex flex-row justify-between items-center h-[76px] mx-4 flex-wrap"
          >
            <div class="flex flex-col items-start p-0 gap-1 h-[52px] w-[70%]">
              <div class="flex flex-row items-start p-0 gap-[10px] h-4 fc-hint">
                <span class="font-bold text-sm leading-4">{{
                  game.GameProviderName
                }}</span>
              </div>
              <div class="font-normal text-xs h-[14px]">{{ game.OrderTime }}</div>
              <div class="font-normal text-xs w-full h-[14px] truncate">
                {{ $t("reference_number") }} {{ game.RefNo }}
              </div>
            </div>
            <div class="h-[19px]">
              <span
                class="font-bold text-[16px] leading-[19px]"
                :class="`fc-${game.StatusColorForMobileDisplay}`"
              >
                {{ $t(game.Status.toLowerCase()) }}
              </span>
            </div>
          </div>
          <hr class="mx-4 border-solid border-[color:var(--border)]" />
          <div class="px-4 pt-4" v-if="game.IsShowBetDetailButton">
            <div
              class="grid grid-cols-3 gap-2 cursor-pointer"
              @click="onDisplayBetDetail(game)"
            >
              <div class="col-span-2">
                <span> {{ $t("bet_detail") }} </span>
              </div>
              <div class="text-right mr-2">
                <font-awesome-icon icon="chevron-right" />
              </div>
            </div>
          </div>
          <div class="px-4 rounded-b-md">
            <div class="flex flex-col items-start py-3 gap-1 h-[79px]">
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("stake") }}
                </span>
                <span class="flex items-start p-0 gap-1">
                  {{ game.StakeForDisplay }}
                </span>
              </div>
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("net_turnover") }}
                </span>
                <span class="flex items-start p-0 gap-1">
                  {{ game.NetTurnoverForDisplay }}
                </span>
              </div>
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("win/lose") }}
                </span>
                <div
                  class="flex items-start p-0 gap-1 font-bold text-[16px] leading-[19px] fc-text"
                >
                  <span :class="`fc-${game.WinLoseColorForDisplay}`">{{
                    game.WinLostForDisplay
                  }}</span>
                  ({{ game.PlayerCommissionForDisplay }})
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </template>
  <template v-else>
    <lazy-utils-not-found />
  </template>
</template>

<script lang="ts">
import { computed, defineComponent, PropType } from "vue";
import { SeamlessGameBet } from "@/models/seamlessGameBets";
import { store } from "@/store";

export default defineComponent({
  name: "Games",
  props: {
    gameBetList: {
      type: Object as PropType<Array<SeamlessGameBet>>,
      required: true,
    },
    onDisplayBetDetail: {
      type: Function,
      required: true,
    },
  },
  setup() {
    const allowTheme = computed(() => store.state.selectedThemeName === "main");
    const themeName = store.state.selectedThemeName;
    return {
      allowTheme,
      themeName,
    };
  },
});
</script>

<style scoped>
.common-layout .box:nth-of-type(1) {
  margin-top: 32px;
}
.common-layout .bg-background2.p-3.pt-0.text-xs {
  padding-top: 0px;
}
.text-border {
  color: var(--text);
}
.text-failure {
  color: var(--failure);
}
.text-success {
  color: var(--success);
}
.game-betting-container:first-child {
  padding-top: 8px;
}
</style>
